<ul class="alert alert-danger" *ngIf="errores?.length>0">
  <div>
    <li *ngFor="let err of errores">
      errores
      {{err}}
    </li>
  </div>
</ul>
<div class="card body">
  <div class="card-header">
    <h1 class="text-center">{{titulo}}</h1>
  </div>
  <div class="card-body">
    <h5 class="card-title">Ingrese los siguientes datos</h5>

    <form class="text-black" #clienteForm="ngForm">

      <div
        *ngIf="authService.hasRole('ROLE_ADMIN') || authService.hasRole('ROLE_ESPECIALISTA') || authService.hasRole('ROLE_RECEPCIONISTA')"
        class="form-floating mb-3">
        <input minlength="9" maxlength="10" pattern="^[0-9]+-[0-9k]" type="text" class="form-control"
          [(ngModel)]="cliente.rut" name="rut" #rut="ngModel" required>
        <div class="alert alert-danger " *ngIf="rut.value && rut.invalid && (rut.dirty || rut.touched)">
          <div *ngIf="rut.errors.pattern || rut.errors.minlength || rut.errors.maxlength">
            Ingrese un rut valido (sin puntos, con guión)
          </div>
        </div>
        <label for="floatingInput">RUT (ej: 98765432-1)</label>
      </div>

      <div *ngIf="authService.hasRole('ROLE_USER')" class="form-floating mb-3">
        <input type="text" class="form-control" [(ngModel)]="cliente.rut" name="rut" disabled>
        <label for="floatingInput">RUT (ej: 98765432-1)</label>
      </div>




      <div class="form-floating mb-3">
        <input type="text" class="form-control" [(ngModel)]="cliente.nombre" name="nombre" #nombre="ngModel" required>


        <label for="floatingInput">Nombre</label>
      </div>


      <div class="form-floating mb-3">
        <input
          *ngIf="authService.hasRole('ROLE_ADMIN') || authService.hasRole('ROLE_ESPECIALISTA') || authService.hasRole('ROLE_RECEPCIONISTA')"
          type="text" class="form-control" [(ngModel)]="cliente.apellidoPaterno" name="apellidoP" #apellidoP="ngModel"
          required>
        <input *ngIf="authService.hasRole('ROLE_USER')" type="text" class="form-control"
          [(ngModel)]="cliente.apellidoPaterno" name="apellidoP" #apellidoP="ngModel" required disabled>
        <label for="floatingInput">Apellido Paterno</label>
      </div>


      <div class="form-floating mb-3">
        <input
          *ngIf="authService.hasRole('ROLE_ADMIN') || authService.hasRole('ROLE_ESPECIALISTA') || authService.hasRole('ROLE_RECEPCIONISTA')"
          type="text" class="form-control" [(ngModel)]="cliente.apellidoMaterno" name="apellidoM" #apellidoM="ngModel"
          required>
        <input *ngIf="authService.hasRole('ROLE_USER')" type="text" class="form-control"
          [(ngModel)]="cliente.apellidoMaterno" name="apellidoM" #apellidoM="ngModel" required disabled>
        <label for="floatingInput">Apellido Materno</label>
      </div>

      <div class="form-floating mb-3">
        <input type="date" class="form-control" [(ngModel)]="cliente.fechaNacimiento" name="fechaNacimiento" required
          #fNac="ngModel">
        <label for="floatingInput">Fecha Nacimiento</label>
      </div>


      <div
        *ngIf="authService.hasRole('ROLE_ADMIN') || authService.hasRole('ROLE_ESPECIALISTA') || authService.hasRole('ROLE_RECEPCIONISTA')"
        class="form-floating mb-3">
        <input type="email" class="form-control" [(ngModel)]="cliente.correo" name="correo" required email
          #email="ngModel">
        <div class="alert alert-danger" *ngIf="email.invalid && (email.dirty || email.touched) && email.errors.email">
          Ingrese un correo valido
        </div>
        <label for="floatingInput">Email </label>
      </div>

      <div *ngIf="authService.hasRole('ROLE_USER')" class="form-floating mb-3">
        <input type="email" class="form-control" [(ngModel)]="cliente.correo" name="correo" required email
          #email="ngModel" disabled>
        <label for="floatingInput">Email </label>
      </div>

      <div class="form-floating mb-3">
        <input type="text" class="form-control" [(ngModel)]="cliente.telefono" name="telefono" minlength="9"
          maxlength="9" pattern="^[0-9]+" #fono="ngModel" required>

        <div class="alert alert-danger " *ngIf="fono.value && fono.invalid && (fono.dirty || fono.touched)">
          <div *ngIf="fono.errors.pattern">
            El numero de telefono solo debe componerse de digitos [0-9]
          </div>
          <div *ngIf="fono.errors.minlength || fono.errors.maxlength">
            El numero de telefono debe componerse 9 digitos
          </div>
        </div>
        <label for="floatingInput">telefono</label>
      </div>


      <div class="form-floating mb-3">
        <input type="text" class="form-control" [(ngModel)]="cliente.direccion" name="direccion">

        <label for="floatingInput">direccion</label>
      </div>


      <div>

        <button pButton role="button" (click)='create()' *ngIf='!cliente.id else elseBlock'
          [disabled]='!clienteForm.form.valid'>Crear</button>
        <ng-template #elseBlock>
          <button pButton role="button" (click)='update()' [disabled]='!clienteForm.form.valid'>Actualizar</button>
        </ng-template>

      </div>
    </form>
  </div>
</div>